Package com.google.android.exoplayer2.source.dash.manifest

## Class SegmentBase.SegmentTimelineElement

- java.lang.Object
- - com.google.android.exoplayer2.source.dash.manifest.SegmentBase.SegmentTimelineElement

- Enclosing class:
    SegmentBase

      public static final class SegmentBase.SegmentTimelineElement
      extends Object

  Represents a timeline segment from the MPD's SegmentTimeline list.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SegmentTimelineElement​(long startTime, long duration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SegmentTimelineElement

          public SegmentTimelineElement​(long startTime,
                                        long duration)

      Parameters:
        `startTime` - The start time of the element. The value in seconds is the division of this value and the `timescale` of the enclosing element.
        `duration` - The duration of the element. The value in seconds is the division of this value and the `timescale` of the enclosing element.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`